Subject: bug#62030: closed (Re: bug#62030: 29.0.60; Allow users to customize eldoc buffer separator)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Mar 2023 00:26:02 +0000

Your bug report

#62030: 29.0.60; Allow users to customize eldoc buffer separator

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62030: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62030
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62030: 29.0.60; Allow users to customize eldoc buffer separator
From: Yuan Fu <[email-masked]>
To: [email-masked]
Date: Tue, 7 Mar 2023 16:25:36 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Yuan Fu <[email-masked]> writes:

> Eldoc can combine documentation from multiple sources and display them
> together, however, if I’m not mistaken, it separates them with newline. It would be nice
> if users can customize the separator to be some other things, like a
> horizontal bar, eg,
>
> (setq eldoc-source-separator
>       (propertize "----------"
>                   'display '(space :width text)
>                   'face '(:stike-through t)))
>
> Maybe even allow it to be a function so we can draw an appropriate
> number of "-" in terminals.
>
> Prompted by this report: https://github.com/casouri/eldoc-box/issues/61
>
> I can do it, if everyone agrees that this is a good idea, and can come
> up with a good name for the variable ;-)

Sorry, not sure why is the report duplicated. Closing this one.

Yuan

Subject: 29.0.60; Allow users to customize eldoc buffer separator
From: Yuan Fu <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Mon, 6 Mar 2023 23:56:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eldoc can combine documentation from multiple sources and display them
together, however, if I’m not mistaken, it separates them with newline. It would be nice
if users can customize the separator to be some other things, like a
horizontal bar, eg,

(setq eldoc-source-separator
      (propertize "----------"
                  'display '(space :width text)
                  'face '(:stike-through t)))

Maybe even allow it to be a function so we can draw an appropriate
number of "-" in terminals.

Prompted by this report: https://github.com/casouri/eldoc-box/issues/61

I can do it, if everyone agrees that this is a good idea, and can come
up with a good name for the variable ;-)